;
; Tests ADC
;
; Assumes: LDI, OUT, IN
;

start:
	; normal add... almost carry
	ldi	r16, 0xf0
	ldi	r17, 0x0f

	sec
	adc	r16, r17
	in	r1, 0x3f
	out	0x3f, r0

	;add with carry... weird
	ldi	r18, 0x70
	ldi	r19, 0x10

	sec
	adc	r18, r19
	in	r2, 0x3f
	out	0x3f, r0

	;add with carry from bit 3
	ldi	r20, 0x0f
	ldi	r21, 0x01

	sec
	adc	r20, r21
	in	r3, 0x3f
	out	0x3f, r0

	;add with carry from bit 3
	ldi	r22, 0xff
	ldi	r23, 0x00

	sec
	adc	r22, r23
	in	r4, 0x3f
	out	0x3f, r0


	nop
